
Redmine - Defect #20117

Activities set as inactive missing in spent time report filter

2015-06-17 12:59 - Zer Guz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 3.0.3

Description

Steps to reproduce:

In Administration -> Enumerations -> Activities, mark some activities as not active.

You can have however these activities activated in certain projects. So it is possible that someone will log time using by default

non-active activities.

Go to Projects -> Overall spent time.

Add Activity filter. Note that it will let you select only the by-default-active activities. <- Problem

All activities should be shown in the filter. <- Expected behavior

Even if you pick, by the Project filter, a particular project, it will not let you select activities that are particularly activated for this

project.

However, if you go to time report from a particular project, the activities filter will be customized correctly as per project settings.

I suspect that these (different) issues have the same root cause:

#19656 Activities do not correspont to project when adding time from my page.

#19657 Can't move one level up the last activity item.

Related issues:

Related to Redmine - Defect #19656: Activities do not correspont to project w... Closed

Related to Redmine - Defect #19657: Can't reorder activities after disabling ... Closed

Associated revisions

Revision 14626 - 2015-09-30 20:03 - Jean-Philippe Lang

Include inactive activities in time entries filter (#20117).

History

#1 - 2015-07-17 02:25 - Toshi MARUYAMA

- Related to Defect #19656: Activities do not correspont to project when adding time from my page. added

#2 - 2015-07-17 02:26 - Toshi MARUYAMA

- Related to Defect #19657: Can't reorder activities after disabling activities on a project added

#3 - 2015-07-17 02:27 - Toshi MARUYAMA

- Target version set to 3.1.0

#4 - 2015-07-25 10:57 - Jean-Philippe Lang

- Target version changed from 3.1.0 to 3.2.0

#5 - 2015-09-30 20:03 - Jean-Philippe Lang

- Subject changed from Activities missing in spent time report filter to Activities set as inactive missing in spent time report filter

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14626.
